consolidate {Hmisc} | R Documentation

## Element Merging

### Description

Merges an object by the names of its elements. Inserting elements in `value` into `x` that do not exists in `x` and replacing elements in `x` that exists in `value` with `value` elements if `protect` is false.

### Usage

    consolidate(x, value, protect, ...)
    ## Default S3 method:
    consolidate(x, value, protect=FALSE, ...)

    consolidate(x, protect, ...) <- value

### Arguments

`x` | named list or vector
`value` | named list or vector
`protect` | logical; should elements in `x` be kept instead of elements in `value`?
`...` | currently does nothing; included if ever want to make generic.

### Author(s)

Charles Dupont

### See Also

`names`

### Examples

    x <- 1:5
    names(x) <- LETTERS[x]

    y <- 6:10
    names(y) <- LETTERS[y-2]

    x                  # c(A=1,B=2,C=3,D=4,E=5)
    y                  # c(D=6,E=7,F=8,G=9,H=10)

    consolidate(x, y)      # c(A=1,B=2,C=3,D=6,E=7,F=8,G=9,H=10)
    consolidate(x, y, protect=TRUE)      # c(A=1,B=2,C=3,D=4,E=5,F=8,G=9,H=10)

[Package Hmisc version 3.17-3 Index]